require "thinkific_ruby/version"
require "faraday"
require "json"
require "pry-byebug"

require "thinkific_ruby/api_error.rb"
require "thinkific_ruby/configuration_error.rb"
require "thinkific_ruby/input_error.rb"

require "thinkific_ruby/connection.rb"
require "thinkific_ruby/resource_helper.rb"
require "thinkific_ruby/course_review.rb"

module ThinkificRuby
  class << self
    attr_accessor :configuration

    def configure
      self.configuration ||= Configuration.new
      yield(configuration)
    end
  end

  class Configuration
    attr_accessor :api_key, :subdomain

    def initialize
      @api_key = nil
      @subdomain = nil
    end
  end
end
