module ThinkificRuby
  module Connection

    protected
    
    def connection
      begin
        Faraday.new(url: "https://api.thinkific.com",
                    headers: {'X-Auth-API-Key' => ThinkificRuby.configuration.api_key,
                              'X-Auth-Subdomain' => ThinkificRuby.configuration.subdomain })
      rescue NoMethodError
        raise ThinkificRuby::ConfigurationError
      end
    end
  end
end
